# AbstractSignatureTypeProvider

abstract class AbstractSignatureTypeProvider : SignatureTypeProvider

Convenience base class for SignatureTypeProvider implementations.

#### Inheritors

DefaultSignatureTypeProvider

## Constructors

AbstractSignatureTypeProvider
Link copied to clipboard
constructor()

## Functions

getDefaultType
Link copied to clipboard
open fun getDefaultType(): SignatureType
getTypeForExtension
Link copied to clipboard
open fun getTypeForExtension(extension: String): SignatureType
hasTypeForExtension
Link copied to clipboard
open fun hasTypeForExtension(extension: String): Boolean
setDefaultType
Link copied to clipboard
open fun setDefaultType(defaultTypeExtension: String)